Subject: when to use devm_request_irq andirq_set_chained_handler_and_data

From: [email-masked] (bharat kumar gogada)
Date: Wed, 7 Oct 2015 15:29:28 +0000 (UTC)

when to use devm_request_irq and when to use irq_set_chained_handler_and_data.
I see that some drivers are not using devm_request_irq instead using
irq_set_chained_handler_and_data for setting up irq handling.

If we use  irq_set_chained_handler_and_data will it show up in cat
/proc/interrupts